local M = {}

local helper = require('scenario/scenariohelper')

local running = false

local function onRaceStart()
	running = true
end

local function onRaceWaypointReached(data)
	local playerVehicleId = be:getPlayerVehicleID(0)
	if data.vehicleId == playerVehicleId then
		if data.waypointName == 'wp_3' then
			--helper.flashUiMessage("This should trigger a truck.", 3)
			local IntTruck = {vehicleName = 'IntTruck',
				waypoints = {'IntTarget'},
				aggression = 1.5,
				aggressionMode = 'normal' 
            }
			helper.setAiPath(IntTruck)
		elseif data.waypointName == 'wp_5b' then
			helper.flashUiMessage("DETOUR: Take your next right.", 4)
		elseif data.waypointName == 'wp_7' then
			--helper.flashUiMessage("This should trigger a car.", 3)
			local Pess = {vehicleName = 'Pess',
				waypoints = {'PessTarget'},
				aggression = 0.5,
				aggressionMode = 'normal' 
            }
			helper.setAiPath(Pess)
		elseif data.waypointName == 'wp_12' then
			--helper.flashUiMessage("This should start a race.", 3)
			local Racer1 = {vehicleName = 'Racer1',
				waypoints = {'drifttrack_wp0','drifttrack_wp1', 'drifttrack_wp2', 'drifttrack_wp3', 'drifttrack_wp4', 'drifttrack_wp0'},
				aggression = 1.5,
				aggressionMode = 'normal' 
            }
			helper.setAiPath(Racer1)
			local Racer2 = {vehicleName = 'Racer2',
				waypoints = {'drifttrack_wp0','drifttrack_wp1', 'drifttrack_wp2', 'drifttrack_wp3', 'drifttrack_wp4', 'drifttrack_wp0'},
				aggression = 1.5,
				aggressionMode = 'normal' 
            }
			helper.setAiPath(Racer2)
		end
	end
end


M.onRaceStart = onRaceStart
M.onRaceWaypointReached = onRaceWaypointReached
return M